> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tai42.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Export a run's trace as a JSON download

> Single run's full trace as a downloadable JSON file.



## OpenAPI

````yaml /openapi.json get /api/observability/runs/{trace_id}/trace/export
openapi: 3.1.0
info:
  description: The operator HTTP surface served under /api/*.
  title: tai42-skeleton API
  version: 0.1.1
servers: []
security: []
paths:
  /api/observability/runs/{trace_id}/trace/export:
    get:
      tags:
        - observability
      summary: Export a run's trace as a JSON download
      description: Single run's full trace as a downloadable JSON file.
      operationId: get_api_observability_runs_trace_id_trace_export
      parameters:
        - in: path
          name: trace_id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/octet-stream:
              schema:
                type: string
          description: Asset bytes.
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Missing or invalid api key.
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Resource not found.
        '501':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Error.
      security:
        - ApiKeyAuth: []
components:
  schemas:
    Error:
      properties:
        error:
          type: string
      required:
        - error
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````